Bug 854256 - Review Request: tipcutils - Utils package required to configure TIPC
Review Request: tipcutils - Utils package required to configure TIPC
Status: CLOSED DUPLICATE of bug 953379
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
Depends On:
Blocks: 953379
  Show dependency treegraph
Reported: 2012-09-04 09:51 EDT by Erik Hugne
Modified: 2013-10-19 10:42 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 953379 (view as bug list)
Last Closed: 2013-04-18 07:35:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Erik Hugne 2012-09-04 09:51:18 EDT
Spec URL: http://marvin.hb0da.org/~dev/tipcutils.spec
SRPM URL: http://marvin.hb0da.org/~dev/tipcutils-2.0.3-0.src.rpm
Fedora seems to be missing a package containing the userspace tools necessary to configure TIPC (/net/tipc).

This package contains the tipc-config program, and also tipc-pipe, which is a netcat-like program that runs over TIPC links.

Fedora Account System Username: ehugne
Comment 1 Michael Scherer 2012-09-06 01:59:41 EDT

since you are not in the packager group, you need a sponsor first 

On your spec, there is various issue with it :
- it doesn have a changelog
- you should use macro for path, rather than for well know executable

- BuildArch: x86_64  is wrong, unless there is a reason and then it should be explained

- %{_builddir}/%{name}-%{version}/configure
you should use the macro %configure, or if it doesn't work, ./configure

- the license file should be shipped as %doc

- BuildRoot is not needed, %clean eithe,r as seen on https://fedoraproject.org/wiki/Packaging:Guidelines#.25clean ( the rest of the rules are also on this page, so I recommend to read it carefully )

There is surely other stuff to fix, but I do not want to overwhelm you for the first comment :)
Comment 2 Erik Hugne 2012-09-07 10:47:23 EDT
Thanks for the prompt feedback.
I have adressed your comments, and have one open question regarding the license.
Is it required to have this as a separate file?
All files in tipcutils have the license prepended to them.
Comment 3 Erik Hugne 2012-09-24 05:07:08 EDT
The srpm/spec links still from the first request still apply:
Spec URL: http://marvin.hb0da.org/~dev/tipcutils.spec
SRPM URL: http://marvin.hb0da.org/~dev/tipcutils-2.0.3-0.src.rpm
Comment 4 Lokesh Mandvekar 2013-04-13 02:08:13 EDT
Hi Erik,

Well, first off thanks for helping me use TIPC 2.0 with UDP bearers sometime back.

Are you still interested in proceeding with this review request?

If you are (and I'm hoping you would be), I'd like to help with the package review, coz this program is useful to me too. I'm not a sponsor and I'm in process of getting my first package reviewed.

* The Release number needs to be incremented everytime you make a change to the spec file, along with a Changelog entry for it.

* Fedora requires that files not be directly installed to /sbin. /usr/sbin is preferable in this case. Check this out: https://fedoraproject.org/wiki/Packaging:Guidelines#Filesystem_Layout

* In the %files section, use macros for directory names (for eg. %{_bindir} instead of /usr/bin)

* Run rpmlint on the spec, srpm and binary rpm files and post their outputs.

* Run the srpm file through koji and provide a link to the build here. Koji HOWTOs: https://fedoraproject.org/wiki/Using_the_Koji_build_system?rd=Koji/UsingKoji

* The Source URL isn't accessible anymore. Could you please check that out?

There might be other issues (but I'm sorta new to reviewing myself, and will revisit this as and when I learn new stuff).
Comment 5 Lokesh Mandvekar 2013-04-13 02:13:03 EDT
macros to be used in %files: https://fedoraproject.org/wiki/How_to_create_an_RPM_package#.25files_section
Comment 6 Erik Hugne 2013-04-18 07:35:55 EDT
Since Lokesh kindly offered to take ownership of this, i'm closing this
with reference to https://bugzilla.redhat.com/show_bug.cgi?id=953379

*** This bug has been marked as a duplicate of bug 953379 ***

Note You need to log in before you can comment on or make changes to this bug.